# Reopening concluded bets

<mark style="color:green;">`POST`</mark> `{clientApi}/ticket/reopen`

A concluded ticket can be reopened, going back to "running" status. The request can contain a withdraw transaction type. In this case the amount must be deducted from the user balance.

{% hint style="info" %}
If this request encounters a server error, it will be retried for 24 hours until it gets a meaningful response
{% endhint %}

{% hint style="info" %}
If the new status (in request) is the same of the client system, no action need to be taken in client system and a 200 response must be returned.
{% endhint %}

{% hint style="danger" %}
"Reopening Concluded bet" request will be sent only for tickets with status different from "0" (in running). If the ticket status on client side is "0" please response with failiure "406" code. This means that a previous "Concluding bets" or "Partial cashout" or "Cancelling bet" message was sent and has not been processed
{% endhint %}

#### Example request

```json
{
  "clientId": "xyzk",
  "userId": 123456,
  "transactionType": 2,
  "amount": 10.56,
  "ticket": {
    "id": 123456,
    "code": "abcd1234",
    "isBonus": false,
    "isFreebet": false,
    "freebetId": 0,
    "newStauts" : 0
  },
  "code": 2021,
  "reason": "ticket_canceled"
}
```

#### Example Success Response

<mark style="color:green;">`Response code`</mark> 200

After the deposit amount is added to user balance and the ticket is setted to "canceled" in client system, a 200 success response should be returned.

```json
{    
    "status": "success",
    "balance": 140.85,
    "error_code": 0,
    "error_message": ""
}
```

#### Example Failure Response

<mark style="color:red;">`Response code`</mark> 406

If there is any error in client system, a 406 response cose should be returned

```json
{
    "status": "error",
    "balance": 140.85,
    "error_code": 406,
    "error_message": "client error"
}
```
